Page MenuHomePhabricator

Deploy Wikidata descriptions to mobile web stable channel Wikipedias 2nd half
Closed, ResolvedPublic1 Story Points

Description

As per https://www.mediawiki.org/wiki/Reading/web/Projects/Wikidata_Descriptions, this is a task to deploy Wikidata descriptions to the second half of mobile web Wikipedias stable channel (but not any of the top 6 wikis).

Deployment should be 9/06/2016

Details

Related Gerrit Patches:
operations/mediawiki-config : masterCorrect dblist definition
operations/mediawiki-config : masterDisable Wikidata descriptions for 6 Wikipedias
operations/mediawiki-config : masterEnable Wikidata descriptions on all wikipedias
operations/mediawiki-config : masterEnable Wikidata descriptions taglines on labs

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2016, 6:24 PM
dr0ptp4kt renamed this task from Deploy Wikidata descriptions to mobile web Wikipedias 2nd half to Deploy Wikidata descriptions to mobile web stable channel Wikipedias 2nd half.Aug 18 2016, 6:24 PM
dr0ptp4kt triaged this task as High priority.
dr0ptp4kt updated the task description. (Show Details)
dr0ptp4kt set the point value for this task to 1.Aug 24 2016, 4:16 PM

@Moushira the top 6 that would be excluded are English, Japanese, Spanish, German, Russian, and French mobile web Wikipedias, correct?

ovasileva updated the task description. (Show Details)Aug 30 2016, 1:39 PM

Change 307967 had a related patch set uploaded (by Jdlrobson):
Enable Wikidata descriptions taglines on labs

https://gerrit.wikimedia.org/r/307967

Change 307969 had a related patch set uploaded (by Jdlrobson):
Enable on all wikipedias

https://gerrit.wikimedia.org/r/307969

@ovasileva when enabling this I just realised I enabled everywhere (rather than just wikipedia's like the task asks for). I don't think this is a bad thing as they are useful on projects such as Wikivoyage.

Looking through all the projects in most projects they are harmless and sometimes add value. It looks like metawiki, mediawiki don't make sens. I'd like some guidance on which of the projects I should disable for (the answer may be please just enable this for wikipedia's!).

https://en.m.wikiquote.org/wiki/Alexander_the_Great
https://en.m.wikinews.org/wiki/More_than_80_people_killed_in_Nice,_France_attack_on_Bastille_Day
https://en.m.wikibooks.org/wiki/How_to_Solve_the_Rubik%27s_Cube
https://en.m.wikivoyage.org/wiki/Africa
https://species.m.wikimedia.org/wiki/Amphiesmenoptera
https://commons.m.wikimedia.org/wiki/Allium_angulosum
https://en.m.wikisource.org/wiki/Alberti,_George_William_(DNB00)
https://meta.m.wikimedia.org/wiki/Steward_requests/Bot_status
https://en.m.wikiversity.org/wiki/Stars/Sun/Neutrinos

Change 307967 merged by jenkins-bot:
Enable Wikidata descriptions taglines on labs

https://gerrit.wikimedia.org/r/307967

Mentioned in SAL [2016-09-01T23:32:30Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings-labs.php: Enable Wikidata descriptions taglines on labs (T143345, no-op in prod) (duration: 02m 52s)

A few questions:

  1. So descriptions are on for the first half of wikipedias, and for ALL other projects?
  2. What is the amount of difficulty to turn this off for all projects for now (outside wikipedia) and then turn on later selectively? I think we should go through the list pretty carefully - the descriptions don't always necessarily make sense (in wikivoyage, for example, but I think in wikiquote they might be very useful):

https://en.m.wikivoyage.org/wiki/Air_travel_on_a_budget

phuedx added a subscriber: phuedx.Sep 6 2016, 9:04 AM

A few questions:

  1. So descriptions are on for the first half of wikipedias, and for ALL other projects?

As I read the changes to the configuration (here and here):

  • For ru-, fr-, de-, es-, ja-, and enwiki we're showing Wikidata descriptions in search results, on Special:Nearby, on Special:Watchlist, but not as taglines
  • For all other Wikipedias and all other projects we're showing Wikidata descriptions in search results, on Special:Nearby, on Special:Watchlist, and as taglines
  1. What is the amount of difficulty to turn this off for all projects for now (outside wikipedia) and then turn on later selectively? I think we should go through the list pretty carefully - the descriptions don't always necessarily make sense (in wikivoyage, for example, but I think in wikiquote they might be very useful):

https://en.m.wikivoyage.org/wiki/Air_travel_on_a_budget

I'd give this a 2. At least one engineer and you, the PO, should review the config change and sign off on it after it has been deployed.

@ovasileva Sam is pretty much spot on.
I'm going to enable on all Wikipedia's today and then we should talk and disable.

With regards to disabling on non-Wikipedia project we should talk asap and I can disable them in a follow up once I know which ones. We've been showing taglines on nearby/search for years so we should be careful about where and what we disable.

Annoyingly my entire morning is busy tomorrow are you able to set something up for afternoon?

Change 307969 merged by jenkins-bot:
Enable Wikidata descriptions on all wikipedias

https://gerrit.wikimedia.org/r/307969

Mentioned in SAL [2016-09-06T23:23:30Z] <dereckson@tin> Synchronized dblists/nowikidatadescriptiontaglines.dblist: Update wikis where Wikidata descriptions is shown or not ([[Gerrit:307968]] and [[Gerrit:307969]], T143345) (duration: 00m 46s)

@ovasileva descriptions are live everywhere.
I can remove them from any projects we don't want them tomorrow, but I'll also need to know whether we want to remove them from search results, nearby and watchlist.

@Jdlrobson - everywhere but the top 6, correct? And yes - I will come up with a proposal asap and we can meet later today to discuss.

phuedx added a comment.EditedSep 7 2016, 1:30 PM

@Jdlrobson - everywhere but the top 6, correct? And yes - I will come up with a proposal asap and we can meet later today to discuss.

Everywhere. Well, almost everywhere. Wikidata descriptions aren't displayed as taglines on mediawiki- and metawiki.

phuedx added a comment.Sep 7 2016, 1:51 PM

From #wikimedia-mobile:

2:32:56 PM <phuedx> i just wanted to clarify that, afaict from the config changes, wikidata descriptions are enabled everywhere (apart from as taglines on mediawikiwiki and metawiki)
2:33:22 PM <olliv> phuedx: yes, I noticed - do you know why?
2:33:47 PM <phuedx> no
2:34:28 PM <olliv> do you think it's possible to turn them off at least for the top 6 asap or should we wait for jonr?
2:38:08 PM <phuedx> olliv: we've missed the mid-day swat window
2:38:24 PM <phuedx> but i can line up a config change for this evening (1800 utc)
2:41:17 PM <olliv> phuedx: okay - let's do that

Change 308990 had a related patch set uploaded (by Phuedx):
Disable Wikidata descriptions for 6 Wikipedias

https://gerrit.wikimedia.org/r/308990

@phuedx : thank you!

just to clarify, as per task description - wikidata descriptions should be on for all wikipedias but the top 6

for the top 6, we will turn them on sequentially based on community response

for French wikipedia, the current consensus is that wikidata descriptions will not be available as taglines, but will be available in all other cases. This might change later as well.

Okay now I'm totally confused.
https://phabricator.wikimedia.org/T143344 asked to deploy to everywhere but top 6 and that was done last week. So what's this task (part 2) about?

I can swat Sam's patch today but it seems this task should have been merged to avoid confusion.

This task says "As per https://www.mediawiki.org/wiki/Reading/web/Projects/Wikidata_Descriptions, this is a task to deploy Wikidata descriptions to the second half of mobile web Wikipedias stable channel (but not any of the top 6 wikis)." The other task says "As per https://www.mediawiki.org/wiki/Reading/web/Projects/Wikidata_Descriptions, this is a task to deploy Wikidata descriptions to the first half of mobile web Wikipedias stable channel (but not any of the top 6 wikis)."

Jdlrobson added a comment.EditedSep 7 2016, 3:01 PM

Yup but the first task was resolved after enabling all on all wikis except top 6. I must confess I was under the understanding during sprint kick off we decided to scrap that (half wikis) and the cards were going to be updated/merged. Obviously I misunderstood that conversation and have been going on autopilot ever since.

I've added Sam's patch to the swat calendar for 11am to clean this up. Sorry I didn't read the mediawiki link.

@Jdlrobson: No, there were no changes to task descriptions necessary, but it was also my bad not to notice that the first task enabled them to all (and not the first half), we could have resolved the confusion then

phuedx added a comment.Sep 7 2016, 4:40 PM

I just want to double-check: my patch should disable all forms of Wikidata descriptions showing up on the top 6 Wikipedias?

Please remember that we can show Wikidata descriptions as taglines, in search results, in a user's watchlist, and in Special:Nearby results and that these are configured separately.

@phuedx - as of now, yes. Will discuss on whether we should turn them back on for all cases but taglines and can change that when we change the descriptions appearing through all projects.

ovasileva added a comment.EditedSep 7 2016, 5:27 PM

Ok, summary:

Enable wikidata descriptions everywhere for all cases, except taglines. Enable wikidata descriptions as taglines on the following projects:

  • Wikipedia (except top 6) - this means changing Sam’s patch to add everything but taglines
  • Wikiquote
  • Wikispecies
  • Wikivoyage
  • Commons
  • Labs

or rather, disable wikipedia descriptions as taglines for the following:

  • Top 6 Wikipedias
  • Wiktionary
  • Wikibooks
  • Wikisource
  • Wikinews
  • Wikiversity

@ovasileva all taken care of as discussed - please let me know if this looks good!

Seems they're still on.

Current behavior:
not as expected- taglines still on for top 6 wikipedias

as expected - taglines on for: wikiquote, wikispecies, wikivoyage, commons, labs

The second deploy seems to have reenable them on Russian and English. Investigating...

Change 309087 had a related patch set uploaded (by Jdlrobson):
Correct dblist definition

https://gerrit.wikimedia.org/r/309087

Change 309087 merged by jenkins-bot:
Correct dblist definition

https://gerrit.wikimedia.org/r/309087

Mentioned in SAL [2016-09-07T23:23:43Z] <dereckson@tin> Synchronized dblists/: Correct dblist definition (T143345, 1/2) (duration: 00m 49s)

Mentioned in SAL [2016-09-07T23:24:48Z] <dereckson@tin> Synchronized wmf-config/CommonSettings.php: Correct dblist definition (T143345, 2/2) (duration: 00m 47s)

I'm really hopeful I've done this now. So many swat deploys... I need to lie down. Please test vigorously but we should be showing taglines on https://en.m.wikivoyage.org/wiki/Caribbean, https://ja.m.wikipedia.org/wiki/Sexy_Zone but not https://ru.m.wikipedia.org/wiki/S or https://en.m.wikipedia.org/wiki/Barack_Obama

Note pages are subject to cache so if you see the description please append action=purge to URL
e.g. https://en.m.wikipedia.org/wiki/Barack_Obama?action=purge and see if it goes away after that action.

Sorry for everything. I'm going to get bubble tea.

phuedx added a comment.Sep 8 2016, 6:52 AM

Note pages are subject to cache so if you see the description please append action=purge to URL
e.g. https://en.m.wikipedia.org/wiki/Barack_Obama?action=purge and see if it goes away after that action.

… but don't go purging every page you look at, right? 😉

Change 308990 abandoned by Phuedx:
Disable Wikidata descriptions for 6 Wikipedias

Reason:
Superseded by I06a8dd4d.

https://gerrit.wikimedia.org/r/308990

Looks good!

Current behavior:
Headlines as tags on for wikiquote, wikispecies, wikivoyage, non top 6 wikipedia (checked eo, it, hu)
Headlines not on for en, ja, es, ru, de, fr

Looks good!

Good enough to be resolved? 😀

ovasileva added a comment.EditedSep 8 2016, 11:23 AM

ignore previous edit of this comment - all works fine now!

ovasileva closed this task as Resolved.Sep 8 2016, 12:54 PM

:)